plot.sparse <- function(x, main = NA, which = c(TRUE, TRUE),
                        graphics.reset = TRUE, ...) {
  old.par <- par(no.readonly = TRUE)
  if (graphics.reset) {
    on.exit(par(old.par))
    par(xpd = F)
    par(mfcol=c(1,sum(which)))
  }
  if (which[1]) {
    plot(fitted(x), x$Y, ylab = "Y", xlab = "Predicted Values", 
         ...)
    abline(0, 1)
  }
  if (which[2]) {
    hist(residuals(x),xlab='Residuals',main='',...)
  }
  if (is.na(main)) 
    mtext(paste(deparse(x$call),collapse='\n'), cex = 1.3,
          outer = TRUE,line = -3)
  else mtext(main, cex = 1.3, outer = TRUE, line = -2)
  invisible()
}

