predict.sparse <- function(object,x=NULL,trend.only=FALSE,...){

  if (is.null(x)) x <- object$x
  ilen <- dim(x)[1]

  if (!is.null(object$coef)){   # calculate the trend
    xM <- x
    xM <- transformx(xM, object$scale.type, object$x.center, object$x.scale)
  
    if (object$m==1) {
      xM <- array(1,c(ilen,1))
    } else if (object$m==2) {
      xn <- colnames(xM)
      if (is.null(xn)) xn <- c('x','y')
      xM <- cbind(xM,1)
      colnames(xM) <- c(xn,'c')
    } else if (object$m==3) {
      xn <- colnames(xM)
      if (is.null(xn)) xn <- c('x','y')
      xM <- cbind(xM^2,xM[,1]*xM[,2],xM,1)
      colnames(xM) <- c(paste(xn,'.2',sep=''),paste(xn,collapse='.'),xn,'c')
    }
    
    out <- c(xM %*% object$coef)
  } else out <- rep(0,ilen)

  if (!trend.only) {         # if we have to add anything... 
    out <- out + .Fortran('predictvectorapprox',
                          as.integer(ilen),as.integer(dim(object$x)[1]),
                          as.double(x[,1]),as.double(x[,2]),
                          as.double(object$x[,1]),as.double(object$x[,2]),
                          as.double(object$solve),
                          miles=object$miles,r=object$R,eps=object$eps,
                          covapprox=object$covapprox,ncov=object$ncov,
                          range=object$range,nugget=0,
                          z=numeric(ilen))$z
    # note: nugget will not be used. added here just for completeness.
  }
 
  invisible(out)             # game over
}

