print.summary.sparse <- function(x,digits = max(3, getOption("digits") - 3),...){
  pnnz <- round(x$nnz/x$n^2*100,digits)
  cat("\nCall:\n  ")
  dput(x$call)
  cat("\nCovariance:",x$cf)
  cat("\nTaper:",x$tf,"with range",x$tr)
  cat("\n\nNumber of obs. =",x$n,sep="")
  cat("\nnnz(sigma)     =",x$nnz[1], ", (",pnnz[1],"%)",sep="")
  cat("\nnnz(Chol sigma)=",x$nnz[2], ", (",pnnz[2],"%)",sep="")
  cat("\n")
  if (!is.null(x$coef)) {
    cat("\nSpatial trend:")
    cat("\n  order m=",x$m,", betahat=(",sep="")
    cat(round(x$coef,digits),sep=",")
    cat(")\n  convergence with MSE=",sep="")
    cat(round(x$iternorm[x$niter],3),"after",x$niter,"steps")
    cat("\n  (criterion maxiter>=",round(x$iterpar[1],0),
        ", or MSE<",x$iterpar[2],")",sep="") 
  }
  cat("\n\nResiduals:\n")
  nam <- c("Min", "1Q", "Median", "3Q", "Max")
  rq <- structure(quantile(x$resid), names = nam)
  print(rq, digits = digits, ...)
  cat("\nTiming:\n")
  print(x$timing, digits = digits, ...)
  cat("\n")
  invisible(x)
}

 
