\name{plot.sparse}
\alias{plot.sparse}
\title{
  Diagnostic and summary plots of the Krig.sparse object 
}
\description{
Plots a series of two diagnostic plots that summarize the fit from \code{Krig.sparse}. 
}
\usage{
plot.sparse(x, main=NA, which=c(TRUE,TRUE), graphics.reset=TRUE,
             ...)
}
\arguments{
\item{x}{an object of class \code{sparse}, typically the result of a call to
          \code{Krig.sparse} or \code{Krig.simple.sparse}.
}
\item{main}{
Title of the plot. Default is the function call. 
}
\item{graphics.reset}{
Reset to original graphics parameters after plotting. Default is \code{TRUE}.
}
\item{which}{
A vector of 2 logical values. 
Controls which of the two graphs to plot. 
}
\item{...}{
Optional graphics arguments to pass to each plot. 
}
}
\details{
This function creates two summary plots of the \code{sparse} object. The default
is to put these in a 1 times 2 panel. However, if the screen is already divided
in some other fashion the plots will just be added according to that
scheme. This option is useful to compare to compare several different
model fits.

The first is a scatterplot of predicted value against observed.

The second plot is a histogram of the residuals. 
}
\seealso{
  \code{\link{Krig.sparse}}, \code{\link{summary.sparse}} and
  \code{plot.Krig} from the  \code{fields} library.
}
\examples{
data(universal)
attach(universal.data)
#obj <- Krig.sparse(x, Y)
#fit <- predict(obj)  
# fitting a surface to ozone measurements 
# plot(fit)
todo <- 2
}
\keyword{spatial}

